Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class AddressPartTypeMember3

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.AddressPartTypeMember3

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AddressPartTypeMember3

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Address Part Type Member3', and utility methods for working with them.

See Also:
  `CDAR2Package.getAddressPartTypeMember3()`

Field Summary
`static int` | `CAR` The 'CAR' literal value.
`static AddressPartTypeMember3` | `CAR_LITERAL` The 'CAR' literal object.
`static int` | `CEN` The 'CEN' literal value.
`static AddressPartTypeMember3` | `CEN_LITERAL` The 'CEN' literal object.
`static int` | `CNT` The 'CNT' literal value.
`static AddressPartTypeMember3` | `CNT_LITERAL` The 'CNT' literal object.
`static int` | `CPA` The 'CPA' literal value.
`static AddressPartTypeMember3` | `CPA_LITERAL` The 'CPA' literal object.
`static int` | `CTY` The 'CTY' literal value.
`static AddressPartTypeMember3` | `CTY_LITERAL` The 'CTY' literal object.
`static int` | `DEL` The 'DEL' literal value.
`static AddressPartTypeMember3` | `DEL_LITERAL` The 'DEL' literal object.
`static int` | `POB` The 'POB' literal value.
`static AddressPartTypeMember3` | `POB_LITERAL` The 'POB' literal object.
`static int` | `PRE` The 'PRE' literal value.
`static AddressPartTypeMember3` | `PRE_LITERAL` The 'PRE' literal object.
`static int` | `STA` The 'STA' literal value.
`static AddressPartTypeMember3` | `STA_LITERAL` The 'STA' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Address Part Type Member3' enumerators.
`static int` | `ZIP` The 'ZIP' literal value.
`static AddressPartTypeMember3` | `ZIP_LITERAL` The 'ZIP' literal object.

Method Summary
`static AddressPartTypeMember3` | `get(int value)` Returns the 'Address Part Type Member3' literal with the specified integer value.
`static AddressPartTypeMember3` | `get(java.lang.String literal)` Returns the 'Address Part Type Member3' literal with the specified literal value.
`static AddressPartTypeMember3` | `getByName(java.lang.String name)` Returns the 'Address Part Type Member3' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CAR

    public static final int CAR

  The 'CAR' literal value.

  If the meaning of 'CAR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CAR_LITERAL`, Constant Field Values

### CEN

    public static final int CEN

  The 'CEN' literal value.

  If the meaning of 'CEN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CEN_LITERAL`, Constant Field Values

### CNT

    public static final int CNT

  The 'CNT' literal value.

  If the meaning of 'CNT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CNT_LITERAL`, Constant Field Values

### CPA

    public static final int CPA

  The 'CPA' literal value.

  If the meaning of 'CPA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CPA_LITERAL`, Constant Field Values

### CTY

    public static final int CTY

  The 'CTY' literal value.

  If the meaning of 'CTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CTY_LITERAL`, Constant Field Values

### DEL

    public static final int DEL

  The 'DEL' literal value.

  If the meaning of 'DEL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEL_LITERAL`, Constant Field Values

### POB

    public static final int POB

  The 'POB' literal value.

  If the meaning of 'POB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POB_LITERAL`, Constant Field Values

### PRE

    public static final int PRE

  The 'PRE' literal value.

  If the meaning of 'PRE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRE_LITERAL`, Constant Field Values

### STA

    public static final int STA

  The 'STA' literal value.

  If the meaning of 'STA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STA_LITERAL`, Constant Field Values

### ZIP

    public static final int ZIP

  The 'ZIP' literal value.

  If the meaning of 'ZIP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZIP_LITERAL`, Constant Field Values

### CAR_LITERAL

    public static final AddressPartTypeMember3 CAR_LITERAL

  The 'CAR' literal object.

  See Also:
    `CAR`

### CEN_LITERAL

    public static final AddressPartTypeMember3 CEN_LITERAL

  The 'CEN' literal object.

  See Also:
    `CEN`

### CNT_LITERAL

    public static final AddressPartTypeMember3 CNT_LITERAL

  The 'CNT' literal object.

  See Also:
    `CNT`

### CPA_LITERAL

    public static final AddressPartTypeMember3 CPA_LITERAL

  The 'CPA' literal object.

  See Also:
    `CPA`

### CTY_LITERAL

    public static final AddressPartTypeMember3 CTY_LITERAL

  The 'CTY' literal object.

  See Also:
    `CTY`

### DEL_LITERAL

    public static final AddressPartTypeMember3 DEL_LITERAL

  The 'DEL' literal object.

  See Also:
    `DEL`

### POB_LITERAL

    public static final AddressPartTypeMember3 POB_LITERAL

  The 'POB' literal object.

  See Also:
    `POB`

### PRE_LITERAL

    public static final AddressPartTypeMember3 PRE_LITERAL

  The 'PRE' literal object.

  See Also:
    `PRE`

### STA_LITERAL

    public static final AddressPartTypeMember3 STA_LITERAL

  The 'STA' literal object.

  See Also:
    `STA`

### ZIP_LITERAL

    public static final AddressPartTypeMember3 ZIP_LITERAL

  The 'ZIP' literal object.

  See Also:
    `ZIP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Address Part Type Member3' enumerators.

Method Detail

### get

    public static AddressPartTypeMember3 get(java.lang.String literal)

  Returns the 'Address Part Type Member3' literal with the specified literal value.

### getByName

    public static AddressPartTypeMember3 getByName(java.lang.String name)

  Returns the 'Address Part Type Member3' literal with the specified name.

### get

    public static AddressPartTypeMember3 get(int value)

  Returns the 'Address Part Type Member3' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD